com.microsoft.sqlserver.jdbc

## Interface ISQLServerDataSource

All Superinterfaces:
  CommonDataSource

All Known Implementing Classes:
  SQLServerConnectionPoolDataSource, SQLServerDataSource, SQLServerXADataSource

    public interface ISQLServerDataSource
    extends CommonDataSource

This datasource lists properties specific for the SQLServerConnection class.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getApplicationIntent()`
`String` `getApplicationName()`
`String` `getDatabaseName()`
`String` `getDescription()`
`boolean` `getEncrypt()`
`String` `getFailoverPartner()`
`String` `getHostNameInCertificate()`
`String` `getInstanceName()`
`boolean` `getLastUpdateCount()`
`int` `getLockTimeout()`
`boolean` `getMultiSubnetFailover()`
`int` `getPacketSize()`
`int` `getPortNumber()`
`String` `getResponseBuffering()`
`String` `getSelectMethod()`
`boolean` `getSendStringParametersAsUnicode()`
`boolean` `getSendTimeAsDatetime()`
`String` `getServerName()`
`String` `getServerSpn()`
`boolean` `getTrustServerCertificate()`
`String` `getTrustStore()`
`String` `getURL()`
`String` `getUser()`
`String` `getWorkstationID()`
`boolean` `getXopenStates()`
`void` `setApplicationIntent(String applicationIntent)`
`void` `setApplicationName(String applicationName)`
`void` `setAuthenticationScheme(String authenticationScheme)`
`void` `setDatabaseName(String databaseName)`
`void` `setDescription(String description)`
`void` `setEncrypt(boolean encrypt)`
`void` `setFailoverPartner(String serverName)`
`void` `setHostNameInCertificate(String host)`
`void` `setInstanceName(String instanceName)`
`void` `setIntegratedSecurity(boolean enable)`
`void` `setLastUpdateCount(boolean lastUpdateCount)`
`void` `setLockTimeout(int lockTimeout)`
`void` `setMultiSubnetFailover(boolean multiSubnetFailover)`
`void` `setPacketSize(int packetSize)`
`void` `setPassword(String password)`
`void` `setPortNumber(int portNumber)`
`void` `setResponseBuffering(String respo)`
`void` `setSelectMethod(String selectMethod)`
`void` `setSendStringParametersAsUnicode(boolean sendStringParametersAsUnicode)`
`void` `setSendTimeAsDatetime(boolean sendTimeAsDatetime)`
`void` `setServerName(String serverName)`
`void` `setServerSpn(String serverSpn)`
`void` `setTrustServerCertificate(boolean e)`
`void` `setTrustStore(String st)`
`void` `setTrustStorePassword(String p)`
`void` `setURL(String url)`
`void` `setUser(String user)`
`void` `setWorkstationID(String workstationID)`
`void` `setXopenStates(boolean xopenStates)`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Method Detail

#### setApplicationIntent

    void setApplicationIntent(String applicationIntent)

#### getApplicationIntent

    String getApplicationIntent()

#### setApplicationName

    void setApplicationName(String applicationName)

#### getApplicationName

    String getApplicationName()

#### setDatabaseName

    void setDatabaseName(String databaseName)

#### getDatabaseName

    String getDatabaseName()

#### setInstanceName

    void setInstanceName(String instanceName)

#### getInstanceName

    String getInstanceName()

#### setIntegratedSecurity

    void setIntegratedSecurity(boolean enable)

#### setLastUpdateCount

    void setLastUpdateCount(boolean lastUpdateCount)

#### getLastUpdateCount

    boolean getLastUpdateCount()

#### setEncrypt

    void setEncrypt(boolean encrypt)

#### getEncrypt

    boolean getEncrypt()

#### setTrustServerCertificate

    void setTrustServerCertificate(boolean e)

#### getTrustServerCertificate

    boolean getTrustServerCertificate()

#### setTrustStore

    void setTrustStore(String st)

#### getTrustStore

    String getTrustStore()

#### setTrustStorePassword

    void setTrustStorePassword(String p)

#### setHostNameInCertificate

    void setHostNameInCertificate(String host)

#### getHostNameInCertificate

    String getHostNameInCertificate()

#### setLockTimeout

    void setLockTimeout(int lockTimeout)

#### getLockTimeout

    int getLockTimeout()

#### setPassword

    void setPassword(String password)

#### setPortNumber

    void setPortNumber(int portNumber)

#### getPortNumber

    int getPortNumber()

#### setSelectMethod

    void setSelectMethod(String selectMethod)

#### getSelectMethod

    String getSelectMethod()

#### setResponseBuffering

    void setResponseBuffering(String respo)

#### getResponseBuffering

    String getResponseBuffering()

#### setSendTimeAsDatetime

    void setSendTimeAsDatetime(boolean sendTimeAsDatetime)

#### getSendTimeAsDatetime

    boolean getSendTimeAsDatetime()

#### setSendStringParametersAsUnicode

    void setSendStringParametersAsUnicode(boolean sendStringParametersAsUnicode)

#### getSendStringParametersAsUnicode

    boolean getSendStringParametersAsUnicode()

#### setServerName

    void setServerName(String serverName)

#### getServerName

    String getServerName()

#### setFailoverPartner

    void setFailoverPartner(String serverName)

#### getFailoverPartner

    String getFailoverPartner()

#### setMultiSubnetFailover

    void setMultiSubnetFailover(boolean multiSubnetFailover)

#### getMultiSubnetFailover

    boolean getMultiSubnetFailover()

#### setUser

    void setUser(String user)

#### getUser

    String getUser()

#### setWorkstationID

    void setWorkstationID(String workstationID)

#### getWorkstationID

    String getWorkstationID()

#### setXopenStates

    void setXopenStates(boolean xopenStates)

#### getXopenStates

    boolean getXopenStates()

#### setURL

    void setURL(String url)

#### getURL

    String getURL()

#### setDescription

    void setDescription(String description)

#### getDescription

    String getDescription()

#### setPacketSize

    void setPacketSize(int packetSize)

#### getPacketSize

    int getPacketSize()

#### setAuthenticationScheme

    void setAuthenticationScheme(String authenticationScheme)

#### setServerSpn

    void setServerSpn(String serverSpn)

#### getServerSpn

    String getServerSpn()